Skip to main content
`Ctrl`+`K`

# PetscViewerBinaryReadStringArray

reads a binary file an array of strings to all MPI processes

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryReadStringArray(PetscViewer viewer, char ***data)

Collective; No Fortran Support

## Input Parameter

- viewer - the `PETSCVIEWERBINARY` viewer

## Output Parameter

- data - location of the array of strings

## Note

The array of strings must `NULL` terminated

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERBINARY`, `PetscViewerASCIIOpen()`, `PetscViewerPushFormat()`, `PetscViewerDestroy()`, `VecView()`, `MatView()`, `VecLoad()`, `MatLoad()`, `PetscViewerBinaryGetDescriptor()`, `PetscViewerBinaryGetInfoPointer()`, `PetscFileMode`, `PetscViewer`, `PetscViewerBinaryRead()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/binary/binv.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages